# get.collection\_attributes()

### Parameters

**`id`***`:integer:`*`ID of a Rasgo Collection`

### Return Object

Rasgo Collection Attributes

### Sample Usage

```python
# Connect to rasgo
api_key = '<your api key>'
rasgo = pyrasgo.connect(api_key) 

# Return object
response = rasgo.get.collection_attributes(id=#)

# Explore returned object
attr_dict = response.attributes
attr_dict.keys()
attr_dict['key']
```

### Alternate Usage

```python
collection = rasgo.get_collection(#)
attributes = collection.attributes
attr_dict.keys()
attr_dict['key']
```

### Best Practices / Tips


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/pyrasgo-0.3/collections/get.collection_attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
